{{ TestCase | id = apparmor-folks | type = Functional | priority =
Medium | execution_type = Automated | state = Final | image = Target |
target = Any | lava = Integrated | description = Test that AppArmor
profiles provided in Folks package work without unexpected auditd log
entries. | preconditions = {{ EnablePackageRepositories
|development|target}} {{ InstallDependencies
|apertis-tests-apparmor-report chaiwala-tests evolution-data-server
folks-tools syncevolution python3 telepathy-mission-control-5
telepathy-gabble libfolks-eds25 libfolks-telepathy25}}

1.  And then reboot:
      -

            sudo reboot

| execution =

1.  Run the test script:
      -

            sudo /usr/lib/apertis-tests/apparmor/folks/test-folks

| results =

1.  A list of executed test with related result (as pass/fail/skip) will
    be shown on console, similar to the following:

` R1.13b_folks-alias-persistence.expected: pass`
` R1.13b_folks-eds-compatibility.expected: pass`
` R1.13b_folks-metacontacts-linking.expected: pass`
` R1.13b_folks-metacontacts-unlinking.expected: pass`
` R1.13b_folks-libsocialweb.expected: pass`
` R6.4.2_folks-metacontacts-antilinking.expected: pass`
` R1.13b_folks-retrieve-contacts-telepathy.expected: pass`
` test-malicious.expected: pass`

| notes =

  - Other output on the console such as warnings and errors should be
    ignored if the test passes
  - This TC is based on other Folks test cases, all of them should PASS
    in order to execute them against AppArmor.
  - If a subtest for this TC FAILs, check that the related test is
    PASSING.
  - It is worth to investigate AppArmor-side only if the original TC
    PASSes and the profiled version of it FAILs.
  - Any other scenario is either OK or worth waiting the original TC to
    PASS.

}}