{{ TestCase | id = clutter-playback-gstreamer1.0 | type = Functional |
execution_type = Manual | target = Any | state = deprecated | image =
Any | description=Test video and audio playback using clutter-gst and
GStreamer1.0 | resources=

  - A set of speakers or headphones connected to the testing target.
  - A monitor connected to the testing target.

| preconditions = {{ Enable package repositories |development|target}}
{{ Install dependencies |chaiwala-test-media libclutter-gst-3.0-tests
gstreamer1.0-clutter-3.0 gstreamer1.0-pulseaudio}} | execution =

  - Start xterm
  - For each media file in the directory
    /usr/share/chaiwala-test-media/, play it with video-player, passing
    the media file using a URI syntax and running as normal
    user:

<!-- end list -->

    $ DISPLAY=:0 /usr/lib/i386-linux-gnu/clutter-gst-3.0/examples/video-player file:<full path to file>

e.g. /usr/lib/i386-linux-gnu/clutter-gst-3.0/examples/video-player
<file:/usr/share/chaiwala-test-media/Example.ogg> | results =

  - video-player should playback all files with audio and either video
    or visualisation (where applicable).

| notes = If it does not work, please in the bug report attach the ouput
of the failed command using --gst-debug-level=5.
    e.g.

    /usr/lib/i386-linux-gnu/clutter-gst-3.0/examples/video-player --gst-debug-level=5 file:/tmp/file.ogg

}}