{{ TestCase | id = connman-pan-tethering | type = Functional | priority
= Medium | execution_type = Manual | target = Any | description=Test
ConnMan support for PAN connectivity. | resources =

  - A Bluetooth adapter.
  - A device supporting PAN PANU.

| preconditions = {{ EnablePackageRepositories | development }}  {{
ConnmanPersistenceWarning }}

1.  Make sure an Internet connection is active on the system.
2.  When testing on the SDK image, make sure blueman-applet is not
    running or kill it

| execution =

1.  Enable bluetooth:
      -

            connmanctl enable bluetooth
2.  Start Bluetooth tethering:
      -

            connmanctl tether bluetooth on
3.  Start simple agent:
      -

            /usr/lib/chaiwala-tests/bluez/simple-agent -y
4.  On the other device, scan for the Bluetooth device and pair with,
    then connect to the Bluetooth PAN. Most phones(?) don't actually
    support tethering to another device (as they, by definition, already
    have an internet connection) but connecting a computer and asking,
    say, NetworkManager to connect to the newly paired bluetooth device
    should work just fine (when testing in this case, ensure all other
    connections are disabled\!)

| results =

  - If connections succeeds and you are able to navigate on the internet
    then it works.

}}