{{ TestCase | id = dbus-dos-reply-time | type = Performance | priority =
High | execution_type = Automated | image = Any | lava = Integrated |
target = Any | state = Final | description = Check the reply time of a
few D-Bus method calls while dbus-daemon is loaded by D-Bus traffic.
Different patterns of D-Bus loads are tested:

1.  A connection calling a D-Bus method repetitively
2.  A process calling a D-Bus method repetitively using a different
    connection each time to generate traffic related to connections
    joining and leaving the bus (NameOwnerChanged signals)
3.  The same with 100 threads generating traffic
4.  Tens of threads registering hundreds of D-Bus match rules

DoS resistance is part of strategic basic services functionality. |
resources = | preconditions =  | execution =

1.  Run the automated test:
      -

            $ $HOME/dbus-dos-reply-time-master/run-test.sh

| results =

1.  There should be no error and it should show the time taken for every
    command.

<!-- end list -->

    >>> Test setup successfully!
    test_basic: command took 20ms (success), expected [0ms, 1000ms]
    test_some_load: command took 21ms (success), expected [0ms, 4000ms]
    test_heavy_load: command took 234ms (success), expected [0ms, 8000ms]
    test_match_rules: command took 2333ms (success), expected [0ms, 8000ms]

| postconditions = | notes = }}