{{ TestCase | id = iptables-nmap | type = Functional | priority = High |
execution_type = Manual | lava = N/A | image = Any | target = Any |
state = Final | description = Test the firewall using nmap from another
computer. | resources = The tester needs an external computer with the
nmap command available. The external computer must be connected to the
same network as the target. | preconditions = | execution =

1.  From the external computer, check filtered/open/closed ports (the
    nmap command can take some time):
      -

            $ nmap <sac_ip>

| results =

  - All ports are filtered, except port 80/tcp (http) which is closed

<!-- end list -->

    Not shown: 999 filtered ports
    PORT   STATE  SERVICE
    80/tcp closed http

| postconditions = | notes =

  - In order to test the SDK image, the VirtualBox VM must be configured
    with a network attached to **Bridged adaptor**. The test cannot be
    run if the network is configured as **NAT**.

}}