{{ TestCase | id = mutter-mt-touch-events | state = Deprecated | type =
Functional | execution_type = Manual | target = Any | description=Allow
Mutter plugins to recognize multi-touch gestures.
This test is used for both touchscreen \*and\* the Magic Trackpad. So
please, do test for both cases below: | resources=

1.  A touch-screen with multiple touch points.
2.  The Magic Trackpad

| preconditions = {{ InstallDependencies |clutter-1.0-tests
mutter-examples xserver-xephyr}}

  -
    For the magic trackpad, you'll have to pair your device first.

{{ TrackpadPairing }} | execution =

  - In VirtualBox, use the following commands:

<!-- end list -->

```
 DISPLAY=:0 Xephyr :1
 DISPLAY=:1 mutter-gesture-example
 DISPLAY=:1 /usr/lib/clutter-1.0/installed-tests/clutter/test-interactive test-touch-events
```

  - On reference hardware, follow these steps:

<!-- end list -->

1.  Replace the window
            manager:
      -

            sudo ln -sf /usr/bin/mutter-gesture-example /etc/alternatives/x-window-manager && sudo killall x-window-manager
2.  Start test application once the window manager is
            restarted:
      -

            DISPLAY=:0 /usr/lib/clutter-1.0/installed-tests/clutter/test-interactive test-touch-events

| results =

  - When performing a pinch gesture, the focused window shrinks or grows
    accordingly to the distance between the fingers.
  - Otherwise, the underlying window receives the events and draws as
    many lines as fingers (on the Iiyama ProLite T2250MTS the maximum
    number of touch points is 2).

| postconditions =

1.  Configure back the window
            manager:
      -

            sudo ln -sf /usr/bin/mutter /etc/alternatives/x-window-manager && sudo killall x-window-manager

}}