{{ TestCase | id = ofono-sms-send | type = Functional | priority =
Medium | execution_type = Manual | target = Any | description=Test
sending of SMS with oFono. | resources =

  - A phone with a SIM card.
  - A modem plugged into the Apertis system with a SIM card (SIM card
    should not have a PIN configured).

| preconditions = {{ InstallDependencies |ofono-tests}} | execution =

1.  Let the modem connect to the network
      -

            /usr/share/ofono/tests/online-modem
2.  Send a SMS to some
            phone:
      -

            /usr/share/ofono/tests/send-sms [modem] <phone number> <message> 1

The modem parameter is the modem which we want to use to send the SMS
through, much probably we will have only one modem in the system so in
this we don't need to specify it, it is a optional parameter. If we need
to specify /usr/share/ofono/tests/list-modems to see the available
modems.

| results =

  - If no error appears the SMS was successfully sent.
  - The phone is supposed to receive the SMS message.

}}