{{ TestCase | id = sdk-nested-wm | type = Compatibility |
execution_type = Manual | state = deprecated | target = VirtualBox |
image = SDK | description= Tests that Devilspie scripts can be applied
to windows running within Mutter. | preconditions = {{ InstallSDK }} |
execution =

\# In first terminal:

\#:

    $ Xephyr :1 -host-cursor -screen 800x480x24 -ac &
    $ export DISPLAY=:1
    $ mutter

\# In a second terminal:

\#:

    $ export DISPLAY=:1
    $ mkdir ~/.devilspie
    $ echo '(if (is (window_class) "UXTerm") (maximize))' > ~/.devilspie/maximize.ds
    $ devilspie &
    $ uxterm

| results =

  - uxterm window fills the entire Xephyr window. Note that this will
    only work if both devilspie and mutter are running simultaneously
    and uxterm is started after devilspie.

}}