{{ TestCase | id = webkit2gtk-ac-animations | type = Functional |
priority = Medium | execution_type = Manual | target = Any |
description=Test that Webkit2GTK actors created for representing layers
animate properly. | resources=

  - A monitor connected to the testing target.

| preconditions = {{ InstallDependencies |1 = -o
DPkg::options::="--force-unsafe-io" webkit2gtk-testing}} | execution =

1.  Run the following
            command:
      -

            GtkClutterLauncher file:///usr/share/webkit2gtk/testing/LayoutTests/animations/simultaneous-start-transform.html
2.  Verify animation match the reference rendering bellow.
3.  Either close GtkClutterLauncher and run the following command, or
    just copy/paste the URI into the existing
            window:
      -

            GtkClutterLauncher file:///usr/share/webkit2gtk/testing/LayoutTests/animations//missing-keyframe-properties.html
4.  Verify animation match the reference rendering bellow.

| results = Note that the tests log the results to the HTML page as it
runs. The contents of the log are **not** to be taken into account for
the purpose of this test. A FAIL in the logs does not mean this test
case failed.

  - In the first URI, the two squares will rotate for 10 seconds. While
    rotating, they should have a blue border, which indicates they are
    AC layers. The expected rendering can be seen in the following
    video:
    [AC-Animation](https://secure-automotive-cloud.org/static/AC-animation.ogv)
  - The second URI will again show two blue squares; Both will move to
    the right and animate their opacity at the same time, so will go
    from blue to white and back. They should have borders while
    animating. The expected rendering can be seen in the following
    video:
    [AC-Animation-KeyFrame-Opacity](https://secure-automotive-cloud.org/static/AC-animation-keyframe-opacity.ogv)

If the result does not match the squares as seen in the videos above,
the test has failed. }}