{{ TestCase | id = webkit2gtk-contextual-zoom | type = Functional |
priority = Low | execution_type = Manual | lava = Not Integrated |
image = Any | target = Any | state = Final | description=This test case
is about zooming parts of a web page to make it easier to read on
devices with limited screen area. The scope of the test is the zooming
functionality that takes into account the content in the clicked area,
other functionality that belongs to a real browser isn't to be tested
here. | resources= This test case requires the use of a mouse, touch
gestures aren't supported as of now. | preconditions = {{
InstallDependencies |1 = -o DPkg::options::="--force-unsafe-io"
webkit2gtk-testing}} | execution =

1.  Launch the test application with each URL in
            resources:
      -

            GtkClutterLauncher file:///usr/share/webkit2gtk/testing/LayoutTests/fast/text-autosizing/clusters-sufficient-width.html
2.  Double click on the paragraph to the right
3.  Double click anywhere to get out of contextual zoom
4.  Double click the second paragraph to the left
5.  Double click anywhere to get out of contextual zoom
6.  Double click other paragraphs at will

| results =

  - The clicked paragraphs should be focused as shown in the following
    video:
    [Contextual-Zoom](https://www.apertis.org/static/Contextual-zoom.ogv)

| notes = This test changes the zoom factor of the WebView, which is not
reset on new pages loaded, so close GtkClutterLauncher before running
other tests. }}