{{ TestCase | id = webkit2gtk-javascriptcore | type = Reliability |
execution_type = Automated | image = Any | target = Any | description =
JavaScriptCore tests are an implementation of the Mozilla JavaScript
Test Suite. This test suite covers the functionality of the core
JavaScript engine. This includes several JavaScript objects such as
Arrays, Booleans, Dates, Functions, Global Object, Math, Numbers,
Objects, Regular Expressions and Strings. In addition, the JavaScript
tests cover parsing, lexical conventions, expressions, statements, type
conversion and exception handling. | resources = | preconditions = {{
Install dependencies |webkit2gtk-testing git}} | execution =

1.  This test requires some setup, the convenience script
    `run-webkit2gtk-jsc-tests` available from the `apertis-tests`
    repository will help to properly setup and execute the test:
      -

            git clone https://git.apertis.org/git/apertis-tests.git
2.  Run the script:
      -

            ./apertis-tests/webkit/run-webkit2gtk-jsc-tests

| results =

  - The script will show a summary of the run at the end. It should look
    similar to this:

<!-- end list -->

    ...
    mozilla-tests.yaml/js1_6/Array/regress-290592.js.mozilla-ftl-eager-no-cjit-validate-phases: PASS
    mozilla-tests.yaml/js1_6/Array/regress-304828.js.mozilla-no-ftl: PASS
    mozilla-tests.yaml/js1_6/Array/regress-304828.js.mozilla-llint: PASS
    mozilla-tests.yaml/js1_6/Array/regress-304828.js.mozilla-baseline: PASS
    mozilla-tests.yaml/js1_6/Array/regress-304828.js.mozilla-dfg-eager-no-cjit-validate-phases: PASS
    mozilla-tests.yaml/js1_6/Array/regress-304828.js.mozilla: PASS
    mozilla-tests.yaml/js1_6/Array/regress-304828.js.mozilla-ftl-eager-no-cjit-validate-phases: PASS
    mozilla-tests.yaml/js1_6/Array/regress-305002.js.mozilla-no-ftl: PASS
    mozilla-tests.yaml/js1_6/Array/regress-305002.js.mozilla-llint: PASS
    mozilla-tests.yaml/js1_6/Array/regress-305002.js.mozilla-baseline: PASS
    mozilla-tests.yaml/js1_6/Array/regress-305002.js.mozilla-dfg-eager-no-cjit-validate-phases: PASS
    mozilla-tests.yaml/js1_6/Array/regress-305002.js.mozilla: PASS
    ...

  - PASS if there are no FAIL results in the above script. If any FAIL
    results are shown, then the test FAILs.

}}