## Status

Frame rate of the scroller widget with 561 items has been improved, on a
particular development machine (Core Duo, i965), from 8 FPS to 50 FPS.
This was achieved by limiting the painting and the allocation to the
actors that are visible, the approach is illustrated by the following
commits:

  - [Only repaint items that are inside the viewable
    area](https://git.apertis.org/cgit/roller.git/commit/?h=tomeu&id=6fa418ade4e70ac853c2a14ab87bc00450272419)
  - [Only allocate those items we know are
    on-screen](https://git.apertis.org/cgit/roller.git/commit/?h=tomeu&id=9fbbebb4de647ebcc4513a55207ea193e1ea2557)

The FPS value reported is what outputs ./auto_loadtest -t 10 in a
directory containing 561 files.

## Resources

  - <http://wiki.clutter-project.org/wiki/ClutterProfiling>
  - <http://dri.freedesktop.org/wiki/IntelPerformanceTuning>