Testing results considerations:

1.  These tests use tiny container images.
2.  All automated test cases already integrated into LAVA system were
    executed on the following images: Arm, Arm64, AMD64.
3.  Failures and partial failures were filed as bugs in Phabricator for
    further investigation and analysis.

-----

The platform image used for these tests are:

  - [Arm
    (20180624.0)](https://images.apertis.org/daily/experimental/18.06/20180624.0/armhf/tiny/apertis-lxc-18.06-armhf-tiny_20180624.0.tar.gz)
  - [Arm64
    (20180624.0)](https://images.apertis.org/daily/experimental/18.06/20180624.0/arm64/tiny/apertis-lxc-18.06-arm64-tiny_20180624.0.tar.gz)
  - [AMD64
    (20180624.0)](https://images.apertis.org/daily/experimental/18.06/20180624.0/amd64/tiny/apertis-lxc-18.06-amd64-tiny_20180624.0.tar.gz)

| ID                                                                        | Description                                                                               | Type       | Arm        | Arm64      | AMD64      | Tested By | Notes |
| ------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------- | ---------- | ---------- | ---------- | ---------- | --------- | ----- |
| **LAVA sanity**                                                           |                                                                                           |            |            |            |            |           |       |
| [lava](https://wiki.apertis.org/QA/Test%20Cases/)                         | Check that LAVA basically works                                                           | Integrated | NOT TESTED | NOT TESTED | NOT TESTED |           |       |
| [check-tiny-system-containers](https://wiki.apertis.org/QA/Test%20Cases/) | Test privileged tiny container with shared network                                        | Integrated | NOT TESTED | NOT TESTED | NOT TESTED |           |       |
| [check-tiny-user-containers](https://wiki.apertis.org/QA/Test%20Cases/)   | Test non-privileged tiny container without networking                                     | Integrated | NOT TESTED | NOT TESTED | NOT TESTED |           |       |
|                                                                           |                                                                                           |            |            |            |            |           |       |
|                                                                           |                                                                                           |            |            |            |            |           |       |
|                                                                           | PASSED - All tests passed.                                                                |            |            |            |            |           |       |
|                                                                           | PARTIAL - Tests mostly passed, with some minor problems.                                  |            |            |            |            |           |       |
|                                                                           | FAILED - One or more tests failed.                                                        |            |            |            |            |           |       |
|                                                                           | NOT TESTED - Test not run due to some issue, like WIP, Disabled, lacking proper hardware. |            |            |            |            |           |       |
|                                                                           |                                                                                           |            |            |            |            |           |       |

[Category:QA/Test report](/Category:QA/Test_report "wikilink")
[Category:QA/tiny-containers test
report](/Category:QA/tiny-containers_test_report "wikilink")
[Category:QA/Test report/{{\#rel2abs:
../../../.}}](/Category:QA/Test_report/{{#rel2abs:_../../../.}} "wikilink")