'''Bug Tagging '''

'''All bugs should be tagged with one of the following '''

  - Bug
  - Warranty Bug
  - Not Warranty

The definition of warranty is given in the [bug
process](https://wiki.bosch-ecore.com/mediawiki/images/2/21/Apertis_bug_process.pdf)

**Further to that Bugs should be tagged by Platform as below:**

  - Core – For platform bugs (E.g GStreamer, Cgroups, Apparmor etc)
  - HMI – for mildenhall and compositor related (E.g roller, compositor
    cropping windows etc)
  - Web – For all GTKClutterLauncher, webkit2 , libbredon etc
  - Integration – build bugs
  - SDK – for all SDK related issues (E.g. simulator, cross compilation,
    ADE etc)
  - Documentation – related to hotdoc, devhelp etc
  - AIVI – for bugs that are critical for AIVI project

**A bug can have more than 1 tag.**

By default priority of bug tags is as below. But exceptions are
possible.

  - Core – Normal , Low (Based on issue)
  - HMI – Low
  - Web – Low
  - Integration – Normal
  - SDK – HIGH, normal , low (Based on issue …if critical for PT then
    High)
  - Documentation – Low
  - AIVI – HIGH