{{ TestCase | id = apparmor-dbus | type = Functional | priority =
Critical | execution_type = Automated | lava = Integrated | image =
Target | target = Any | state = Final | description = Security
infrastructure: AppArmor D-Bus mediation is part of strategic
application and service confinement. | resources = | preconditions = {{
DownloadTestData | apparmor-dbus-master.tar.gz |
<https://gitlab.apertis.org/tests/apparmor-dbus/-/archive/master/apparmor-dbus-master.tar.gz>
}} | execution =

1.  Run the test
            script:
      -

            cd apparmor-dbus-master; LAUNCH_DBUS="no" common/run-aa-test ./dbus.expected ./dbus

| results =

  - The test should report `pass` and not `fail`:

` dbus.expected: pass`

| postconditions = | notes =

  - The results of the tests printed to the standard output are enough
    to determine whether they passed or fail.
  - If you get a failure and need to report a bug please add the
    apparmor logs from `sudo journalctl`.

}}