{{ TestCase | id = apparmor-functional-demo | type = Functional |
priority = Medium | execution_type = Automated | lava = Integrated |
image = Target | target = Any | state = Final | description = Show some
main AppArmor functionalities, like transitions, net access or resource
permissions, under the form of tests. | execution =

1.  Run the test script:
      -

            /usr/lib/apparmor-demo/lava_run_tests

| preconditions = {{ EnablePackageRepositories |development|target}} {{
InstallDependencies |apparmor-demo}} | results =

  - The `/usr/lib/apparmor-demo/lava_run_tests` script should return 0.
    The return value indicates the number of tests which failed.

A similar output will be
shown:

`/usr/lib/apparmor-demo/exec.sh: PASSED - /tmp/apparmor-demo/sdtest.6406-11853-I7WUoO`
`/usr/lib/apparmor-demo/exec_env.sh: FAILED - /tmp/apparmor-demo/sdtest.6704-7180-0VTgAJ`

| notes =

  - Some of the tests included are taken from AppArmor upstream, some
    are locally developed.

}}