{{ TestCase | id = apparmor-session-lockdown-launcher-whitelist | type =
Functional | execution_type = Manual | lava = Not Integrated | image =
Target | target = Any | state = Deprecated | description = Make sure our
demo/test launcher is applying the white-list approach properly |
resources = | preconditions = {{ EnablePackageRepositories
|development|target}} {{ InstallDependencies
|apertis-tests-apparmor-test-launcher apertis-tests-apparmor-report
apparmor-utils}}

1.  Reboot, so that the launcher will be launched by the user session

| execution =

1.  In the terminal (it will be bellow the launcher, probably) run the
    following command, to watch for AppArmor complaints/rejections:
      -

            $ sudo watch-aa
2.  Click the **MxLauncher** button.
3.  An MxLauncher window will load, wait for it to load the default home
    page (google) and make sure that there was no output in the
    terminal.
4.  Close the MxLauncher window. **NOTE:** there is currently a bug in
    Mx that makes it impossible to interact with Mx widgets using touch
    input so you won't be able to close the window; that does not
    constitute a failure for this TC, feel free to kill MxLauncher if
    you lack a mouse.
5.  On the text entry that's at the top of the launcher window (the
    smaller one, not MxLauncher), type "xterm" and hit enter.
6.  Make sure there was a REJECTING message in the terminal.

| results =

1.  After starting and closing MxLauncher the terminal should have no
    output.
2.  After trying to run xterm by typing it and hitting enter in the
    launcher window a REJECTING message should be logged in the terminal
    window.

| postconditions =

1.  Remove the **apertis-tests-apparmor-test-launcher** package.
2.  Reboot.

| notes = MxLauncher has its own profile, shipped along with the test
launcher, this test shows that it can run properly, that binaries in a
specific path can be run with as long as they have a profile of their
own, and that no other executables can run in this environment. }}