{{ TestCase | id = apparmor-tracker | type = Functional | priority =
Medium | execution_type = Automated | target = Any | image = Any |
state = Final | lava = Integrated | description=Tests that the tracker
abstraction and tracker profiles don't cause false negatives and that it
does not allow arbitrary reading of files in the home directory. |
preconditions =  {{ InstallDependencies |apertis-tests-apparmor-tracker
python3 python3-gi gir1.2-tracker-1.0 gir1.2-grilo-0.2}} | execution =

1.  Run the test script for the normal case:
      -

            sudo /usr/lib/apertis-tests/apparmor/tracker/test-tracker

| results =

  - Both tests should report `pass` and not `fail`:

` tracker.normal.expected: pass`
` tracker.malicious.expected: pass`

| notes =

  - The results of the tests printed to the standard output are enough
    to determine whether they passed or fail.
  - If you get a failure and need to report a bug please run `sudo
    watch-aa` on a terminal and run the case that is failing
    (separately, if both), and add the logs you get to the bug report.

}}