{{ TestCase | id = check-dbus-services | state = Final | type =
Functional | priority = Critical | execution_type = Automated | lava =
Integrated | target = Any | description= Service monitoring: verifying
that every D-Bus service can be activated successfully as a systemd unit
is part of strategic basic services functionality. | preconditions =  |
execution =

1.  Execute the test suite:
      -

            cd $HOME/check-dbus-services-master; bin/check-dbus-services

| results =

  - The output should be a succession of tests similar to that:

<!-- end list -->

    ---------------------------------------------------------------
    + gdbus call --session -d org.xfce.Xfconf -o / -m org.freedesktop.DBus.Peer.Ping
    ()
    -> 0
    + systemctl --full --no-ask-password --no-pager --user status xfconfd.service
    ● xfconfd.service - XFCE configuration service
       Loaded: loaded (/usr/lib/systemd/user/xfconfd.service; static; vendor preset: enabled)
       Active: active (running) since Mon 2018-06-18 10:19:31 UTC; 21h ago
     Main PID: 809 (xfconfd)
       CGroup: /user.slice/user-1000.slice/user@1000.service/xfconfd.service
               └─809 /usr/lib/x86_64-linux-gnu/xfce4/xfconf/xfconfd

    Jun 18 10:19:31 apertis systemd[771]: Starting XFCE configuration service...
    Jun 18 10:19:31 apertis systemd[771]: Started XFCE configuration service.
    -> 0
    vvvvvvvvvvvvvvvvvvvv
    RESULT:pass:session_org.xfce.Xfconf.service:
    ^^^^^^^^^^^^^^^^^^^^

In this test results, the xfail are expected
    failures.

    RESULT:xfail:session_FailToActivate: org.apertis.ApertisTests.FailToActivate should not have been activatable

  - If any test failed, they will be prefixed with
        RESULT:fail:

}}