{{ TestCase | id = evolution-sync-bluetooth | type = Functional |
priority = Medium | execution_type = Manual | target = Any |
description=Synchronizing Bluetooth-paired phone contacts to Evolution.
| resources=

  - A Bluetooth USB adapter.
  - A Bluetooth-enabled phone.

| preconditions= {{ InstallDependencies |syncevolution
syncevolution-dbus folks-tools libfolks-eds25 chaiwala-tests python 3.4
python3-gi python3-dbus telepathy-mission-control-5}}  | execution =

1.  Synchronize contacts from a second
            terminal:
      -

            /usr/lib/chaiwala-tests/contacts/sync-addressbook.sh <Bluetooth address>

        where the Bluetooth address is the MAC address of the device as
        seen in the pairing window (e.g. `12:34:56:78:9A:BC`)

| results =

  - `syncevolution` should display the number of contacts synchronized
    from the phone in this last run.
  - `folks-inspect` should show the personas with their details grabbed
    from your phone.

}}