{{ TestCase | id = folks-ofono-backend | type = Functional | priority =
Medium | execution_type = Manual | target = Any | description=Reading
contacts from 3G modem SIM card. | resources=

  - A 3G USB Modem.
  - A SIM card with contacts on it (SIM should \*not\* have a PIN
    configured)

| preconditions=  {{ InstallDependencies |folks-tools chaiwala-tests
libfolks-ofono25}} | execution =

1.  Note: chaiwala-tests must be version \> 20121011.0
2.  Execute test script:
      -

            /usr/lib/chaiwala-tests/contacts/folks-ofonotest.sh

| results =

  - `folks-inspect` should show the personas with their details grabbed
    from your SIM card.

| notes =

  - Please ignore the following warning about the **eds** backend: the
    goal of this test is to test the ofono backend so other backends
    (such as the eds backend) are explicitly
    disabled:

<!-- end list -->

    (folks-inspect:853): folks-WARNING **: Failed to find primary PersonaStore with type ID 'eds' and ID 'system-address-book'.
    Individuals will not be linked properly and creating new links between Personas will not work.
    The configured primary PersonaStore's backend may not be installed. If you are unsure, check with your distribution.

}}