{{ TestCase | id = grilo | type = Functional | priority = Medium |
execution_type = Automated | lava = Integrated | target = Any |
description=Check grilo metadata notifications, and filesystem browsing.
| preconditions = {{ EnablePackageRepositories | development}} {{
InstallDependencies |apertis-tests python3 python3-gi gir1.2-grilo-0.2
grilo-plugins-0.2}} | execution =

1.  Execute the test suite:
      -

            /usr/lib/apertis-tests/grilo/automated/test-grilo.py

| results =

  - The output should be similar to that:

<!-- end list -->

    GriloTest: filesystem notifications
    GriloTest: received 'content-changed' signal: file:///tmp/test-grilo-Y7UF7X added
    GriloTest: received 'content-changed' signal: file:///tmp/test-grilo-Y7UF7X added
    GriloTest: received 'content-changed' signal: file:///tmp/test-grilo-Y7UF7X/subdir added
    GriloTest: received 'content-changed' signal: file:///tmp/test-grilo-Y7UF7X/subdir added
    GriloTest: received 'content-changed' signal: file:///tmp/test-grilo-Y7UF7X changed
    GriloTest: received 'content-changed' signal: file:///tmp/test-grilo-Y7UF7X/subdir removed
    GriloTest: received 'content-changed' signal: file:///tmp/test-grilo-Y7UF7X/subdir removed
    GriloTest: received 'content-changed' signal: file:///tmp/test-grilo-Y7UF7X removed
    GriloTest: received 'content-changed' signal: file:///tmp/test-grilo-Y7UF7X removed

    (python3:1426): Grilo-WARNING **: [filesystem] grl-filesystem.c:711: Got error: No such file or directory
    ApertisTest: copying medias to /tmp/test-grilo-Y7UF7X
    GriloTest: filesystem browse
    GriloBrowserMixin: add media Videos/big_buck_bunny_smaller.ogv
    GriloBrowserMixin: add media Pictures/320px-European_Common_Frog_Rana_temporaria.jpg
    GriloBrowserMixin: add media Pictures/collabora-logo-big.png
    GriloBrowserMixin: add media Music/Ghosts.pls
    GriloBrowserMixin: add media Music/Generic_Sounds.pls
    GriloBrowserMixin: add media Music/Ghosts.m3u
    GriloBrowserMixin: add media Music/generic.oga
    GriloBrowserMixin: add media Music/generic.wav
    GriloBrowserMixin: add media Music/generic.mp3
    GriloBrowserMixin: add media Music/generic.flac
    GriloBrowserMixin: add media Music/generic-no-artwork.mp3
    GriloTest: playlist
    GriloBrowserMixin: add media Music/audio/generic.mp3
    GriloBrowserMixin: add media Music/audio/generic.flac
    GriloBrowserMixin: add media Music/audio/generic.oga
    .
    ----------------------------------------------------------------------
    Ran 1 test in 0.076s

    OK

  - If any test failed, they will be listed instead of the success
    message:

<!-- end list -->

    [python backtrace]
    FAILED (errors=1)

}}