{{ TestCase | id = gstreamer-splash | state = Deprecated | type =
Functional | execution_type = Manual | lava = Not Integrated | target =
i.MX6 Sabrelite | image = Target | description=Test whether the
gstreamer splash plugin is working | preconditions =

1.  Attach the LVDS display and the MIPI i2C camera to the imx6

| execution =

1.  Boot up the device
2.  Change the plymouth theme
      -

            sudo plymouth-set-default-theme gstreamer
3.  Update the initramfs to change the default plymouth theme there.
      -

            sudo update-initramfs -u
4.  Create uInitrd for U-Boot
    1.  First mount the boot partition
          -

                sudo mount /dev/disk/by-label/boot_1 /media
    2.  Add a U-Boot header to the initial ramdisk
                image
          -

                sudo mkimage -A arm -O linux -T ramdisk -C none -a 0x00000000 -n "root" -d /boot/initrd.img-3.8-trunk-mx6 /media/uInitrd
    3.  Unmount the boot partition
          -

                sudo umount /media
5.  Reboot

| results =

1.  Boot animation should now be a video test image/animation
2.  The X session should appear normally on the LVDS after boot
3.  On reboot, the same animation as boot-time will be shown

}}