{{ TestCase | id = webkit2gtk-aligned-scroll | type = Functional |
priority = Low | execution_type = Manual | state = Final | image =
Target | target = Any | description=Test that scrolling is pinned in a
given direction when started mostly towards it | resources=

  - A touch-screen and a mouse (test with both).

| preconditions = {{ InstallDependencies |1 = -o
DPkg::options::="--force-unsafe-io" webkit2gtk-testing}} | execution =

1.  Run the test program:
      -

            GtkClutterLauncher -g 400x600 http://gnome.org/
2.  Try scrolling by starting a drag diagonally (1)
3.  Try scrolling by starting a drag vertically (2)
4.  Try scrolling by starting a drag horizontally, ensure you can only
    pan the page horizontally (3)

| results =

  - When the scroll is started by a diagonal drag (1), you should be
    able to pan the page freely
  - When the scroll is started by a vertical drag (2), you should only
    be able to pan the page vertically, regardless of if you move your
    finger/mouse horizontally
  - When the scroll is started by a horizontal drag (3), you should only
    be able to pan the page horizontally, regardless of if you move your
    finger/mouse vertically

Check the following example video for the expected result: [Aligned
Scroll Video](https://wiki.apertis.org/static/Aligned-scroll.ogv).
Both mouse and touchscreen need to PASS for this test case to be
considered a PASS. If either does not pass, then the test case has
failed. }}