{{ TestCase | id = webkit2gtk-lazy-click | type = Functional | priority
= Low | execution_type = Manual | target = Any | description=Test touch
adjustment (lazy click) support in WebKit2GTK | resources=

  - A touch-screen.
  - A mouse.

| preconditions = {{ InstallDependencies|1 = -o
DPkg::options::="--force-unsafe-io" webkit2gtk-testing}} | execution =

1.  Run the test
            program:
      -

            GtkClutterLauncher file:///usr/share/webkit2gtk/testing/lazyclick.html

| results = **NOTE**: touching the very border of the red area may cause
red to be printed and that is **not** a bug. The area used by WebKit to
search for related is round and centered on the touched point, so it's
hard to reproduce perfectly as a border.

  - Clicking with a mouse inside the green "Link" area should activate
    the link
  - Clicking with a mouse the red border outside the green "Link" area
    should **not** activate the link
  - Clicking with a mouse inside the blue "Button" area should activate
    the button
  - Clicking with a mouse the red border outside the blue "Button" area
    should **not** activate the button
  - Tapping with a single finger on the touch-screen inside the green
    "Link" area should activate the link
  - Tapping with a single finger on the touch-screen the red border
    outside the green "Link" area should activate the link too
  - Tapping with a single finger on the touch-screen inside the blue
    "Button" area should activate the button
  - Tapping with a single finger on the touch-screen the red border
    outside the blue "Button" area should activate the button too

}}